summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rwxr-xr-xtools/make-ptraccel-graphs.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/tools/make-ptraccel-graphs.sh b/tools/make-ptraccel-graphs.sh
index 870ea925..b96f9e56 100755
--- a/tools/make-ptraccel-graphs.sh
+++ b/tools/make-ptraccel-graphs.sh
@@ -1,8 +1,13 @@
#!/bin/bash
-tool=`dirname $0`/ptraccel-debug
+tool=`dirname $0`/../build/ptraccel-debug
gnuplot=/usr/bin/gnuplot
+if [[ -e '$tool' ]]; then
+ echo "Unable to find $tool"
+ exit 1
+fi
+
outfile="ptraccel-linear"
for speed in -1 -0.75 -0.5 -0.25 0 0.5 1; do
$tool --mode=accel --dpi=1000 --filter=linear --speed=$speed > $outfile-$speed.gnuplot